libzypp: zypp::PackageKeyword Class Reference

libzypp 17.38.9

zypp::PackageKeyword Class Reference

Package keywords. More...

`#include <zypp/PackageKeyword.h>`

Inheritance diagram for zypp::PackageKeyword:

## Public Member Functions
| PackageKeyword ()
| Default ctor: empty keyword.
| PackageKeyword (sat::detail::IdType id_r)
| Ctor taking keyword as string.
| PackageKeyword (const IdString &idstr_r)
| PackageKeyword (const std::string &str_r)
| PackageKeyword (const char *cstr_r)
Public Member Functions inherited from zypp::IdStringType< PackageKeyword >
IdString | idStr () const
bool | empty () const
unsigned | size () const
const char * | c_str () const
std::string | asString () const
IdType | id () const
| operator bool () const
| Evaluate in a boolean context ( !
| operator IdString () const
| Explicit conversion to IdString.
| operator std::string () const
| Explicit conversion to std::string.
int | compare (const PackageKeyword &rhs) const
int | compare (const IdStringType &rhs) const
int | compare (const IdString &rhs) const
int | compare (const std::string &rhs) const
int | compare (const char *rhs) const

## Private Attributes
IdString | _str

## Friends
class | IdStringType< PackageKeyword >

## Additional Inherited Members
Public Types inherited from zypp::IdStringType< PackageKeyword >
using | IdType
Static Public Member Functions inherited from zypp::IdStringType< PackageKeyword >
static int | compare (const PackageKeyword &lhs, const PackageKeyword &rhs)
static int | compare (const PackageKeyword &lhs, const IdString &rhs)
static int | compare (const PackageKeyword &lhs, const std::string &rhs)
static int | compare (const PackageKeyword &lhs, const char *rhs)
static int | compare (const IdString &lhs, const PackageKeyword &rhs)
static int | compare (const IdString &lhs, const IdString &rhs)
static int | compare (const IdString &lhs, const std::string &rhs)
static int | compare (const IdString &lhs, const char *rhs)
static int | compare (const std::string &lhs, const PackageKeyword &rhs)
static int | compare (const std::string &lhs, const IdString &rhs)
static int | compare (const std::string &lhs, const std::string &rhs)
static int | compare (const std::string &lhs, const char *rhs)
static int | compare (const char *lhs, const PackageKeyword &rhs)
static int | compare (const char *lhs, const IdString &rhs)
static int | compare (const char *lhs, const std::string &rhs)
static int | compare (const char *lhs, const char *rhs)
Protected Member Functions inherited from zypp::IdStringType< PackageKeyword >
| IdStringType ()=default
| IdStringType (const IdStringType &)=default
| IdStringType (IdStringType &&) noexcept=default
IdStringType & | operator= (const IdStringType &)=default
IdStringType & | operator= (IdStringType &&) noexcept=default
| ~IdStringType ()=default

## Detailed Description

Package keywords.

See also
  IdStringType

Definition at line 28 of file PackageKeyword.h.

## Constructor & Destructor Documentation

## ◆ PackageKeyword() [1/5]

zypp::PackageKeyword::PackageKeyword | ( |  | ) |
| inline

Default ctor: empty keyword.

Definition at line 32 of file PackageKeyword.h.

## ◆ PackageKeyword() [2/5]

zypp::PackageKeyword::PackageKeyword | ( | sat::detail::IdType | id_r | ) |
| inlineexplicit

Ctor taking keyword as string.

Definition at line 35 of file PackageKeyword.h.

## ◆ PackageKeyword() [3/5]

zypp::PackageKeyword::PackageKeyword | ( | const IdString & | idstr_r | ) |
| inlineexplicit

Definition at line 36 of file PackageKeyword.h.

## ◆ PackageKeyword() [4/5]

zypp::PackageKeyword::PackageKeyword | ( | const std::string & | str_r | ) |
| inlineexplicit

Definition at line 37 of file PackageKeyword.h.

## ◆ PackageKeyword() [5/5]

zypp::PackageKeyword::PackageKeyword | ( | const char * | cstr_r | ) |
| inlineexplicit

Definition at line 38 of file PackageKeyword.h.

## Friends And Related Symbol Documentation

## ◆ IdStringType< PackageKeyword >

friend class IdStringType< PackageKeyword >
| friend

Definition at line 38 of file PackageKeyword.h.

## Member Data Documentation

## ◆ _str

IdString zypp::PackageKeyword::_str
| private

Definition at line 42 of file PackageKeyword.h.

The documentation for this class was generated from the following file:

- zypp/PackageKeyword.h